> **_NOTE:_**  
> Some links in this generated README.md are broken as they are relative path. To use the README.md  with working links, download the [Source Distribution](https://pypi.org/project/text2motion-client-api/#files) under Download files and open README.md in a Markdown previewer.

# text2motion-client-api
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.1.10
- Package version: 0.1.3
- Generator version: 7.9.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import text2motion_client_api
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import text2motion_client_api
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import text2motion_client_api
from text2motion_client_api.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://api.text2motion.ai
# See configuration.py for a list of all supported configuration parameters.
configuration = text2motion_client_api.Configuration(
    host = "https://api.text2motion.ai"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: APIKeyHeader
configuration.api_key['APIKeyHeader'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['APIKeyHeader'] = 'Bearer'


# Enter a context with an instance of the API client
with text2motion_client_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = text2motion_client_api.FeedbackApi(api_client)
    feedback_request_body = text2motion_client_api.FeedbackRequestBody() # FeedbackRequestBody | 

    try:
        # Feedback
        api_response = api_instance.feedback_api_feedback_post(feedback_request_body)
        print("The response of FeedbackApi->feedback_api_feedback_post:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling FeedbackApi->feedback_api_feedback_post: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://api.text2motion.ai*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*FeedbackApi* | [**feedback_api_feedback_post**](docs/FeedbackApi.md#feedback_api_feedback_post) | **POST** /api/feedback | Feedback
*FeedbackApi* | [**feedback_api_labs010_feedback_post**](docs/FeedbackApi.md#feedback_api_labs010_feedback_post) | **POST** /api/labs/0.1.0/feedback | Feedback
*GenerateApi* | [**generate_api_generate_post**](docs/GenerateApi.md#generate_api_generate_post) | **POST** /api/generate | Generate
*GenerateApi* | [**generate_api_labs010_generate_post**](docs/GenerateApi.md#generate_api_labs010_generate_post) | **POST** /api/labs/0.1.0/generate | Generate


## Documentation For Models

 - [Bone](docs/Bone.md)
 - [FeedbackRequestBody](docs/FeedbackRequestBody.md)
 - [GenerateRequestBody](docs/GenerateRequestBody.md)
 - [GenerateResponseBody](docs/GenerateResponseBody.md)
 - [HTTPValidationError](docs/HTTPValidationError.md)
 - [LocationInner](docs/LocationInner.md)
 - [Skeleton](docs/Skeleton.md)
 - [ValidationError](docs/ValidationError.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="APIKeyHeader"></a>
### APIKeyHeader

- **Type**: API key
- **API key parameter name**: x-apikey
- **Location**: HTTP header


## Author




